#import "BackView.h"

#define MAXINTF 4294967295.0 // to turn random 32-bit int to float 0<x<1

@interface ColorView:BackView
{
    int granularity, speed, count, tick, flip;
    float minBright, maxBright;
    BOOL colChange, colRandom;

    int mywidth, myheight;	// how big am I?
    int winNum;			// who am I?
    float curX, curY;		// where am I?
    id  myPrefWindow;		// Preferences Window

    id  maxSlider;
    id  minSlider;
    id  colorWell;
    NXColor showColor, currentColor, nextColor, staticColor;
}

- oneStep;
- drawSelf:(const NXRect *)rects :(int)rectCount;
- (BOOL)isBoringScreenSaver;
- (BOOL) useBufferedWindow;

- show;
- newColor:sender;
- newMaxBright:sender;
- newMinBright:sender;
- newGranularity:sender;
- newSpeed:sender;
- colorsChange:sender;
- colorsRandom:sender;

@end
