#import <appkit/View.h>

@interface AquariumView:View
{

/* IB freeze dried objects */   
    id fishList;
	id colorWell;
	id fishNumberForm;
	id fishSpeedForm;
	id dissolveForm;
	id fishNumberSlider;
	id fishSpeedSlider;
	id dissolveSlider;
	id fishTypeMatrix;
	id fxMatrix;
    id sharedInspectorPanel;
	
	NXColor aquariumColor;
    NXPoint maxCoord;
	BOOL restart_flag;
		
}

- oneStep;
- initFrame:(NXRect *)frameRect;
- drawSelf:(const NXRect *)rects :(int)rectCount;
- newViewSize;
- (const char *)windowTitle;
- didLockFocus;
- (BOOL)useBufferedWindow;
- sizeTo:(NXCoord)width :(NXCoord)height;
- inspector:sender;

/* methods called by freeze dried IB objects  */
- changeFishNumber:sender;
- changeFishSpeed:sender;
- changeDissolveFactor:sender;
- restart;
- cancelPref:sender;
- loadPref:sender;
- setPref:sender;

@end
