/*  
 * 
 * DuoImage.h	-- flips between original and horizontally flipped images
 * 
 * Paul A. Griffin
 * 8/16/93
 */
#import <objc/Object.h>
#import <appkit/appkit.h>

#define HORIZONTAL 0
#define VERTICAL 1


@interface DuoImage:Object
{
	BOOL reversed;
	id originalImage; 
	id flippedImage;
}

- duoInit;
- initFromFile:(const char *)fileName;
- getSize:(NXSize *)imageSize;
- (id)theImage;
- flip:(int)whichWay;
- composite:(int)op toPoint:(const NXPoint *)point;
- dissolve:(float)delta toPoint:(const NXPoint *)point;

@end

