//
// Patchwork
// rev 1.1
// Now supports BackSpace's inspector panels
//
// Module for BackSpace.app
// 18 Oct 91 rev 11 Dec 91 rev 20 Aug 92
// Matt Pharr- pharr@cs.yale.edu
//

#import <appkit/appkit.h>
#import "Thinker.h"

@interface PatchworkView:View
{
    NXRect theBox;
    float color;
    float speed;
	
    id theSlider;
    id sharedInspectorPanel;
}

-oneStep;
-initFrame:(const NXRect *)frameRect;
-drawSelf:(const NXRect *)rects :(int)rectCount;
-inspector:sender;
-setSpeed:sender;

@end
