#import <objc/Object.h>
#import <appkit/graphics.h>
#import "Aquarium.h"

typedef struct { float l,b,r,t; } BRECT;

@interface Fish:Object
{
	float	WIDTH;
	float	HEIGHT;

	int	imageNum;	// Someday I should be able to do animate the fish better

	NXSize	sizeOfAquar;
	NXRect	old;
	NXPoint	fishTo;
	NXPoint	redrawTo;
	NXRect	redraw;
	NXColor fishBufferColor;
	
	id	fish;
	id	clear_buffer;
	id  fish_buffer;
	id	brain;
	id	aquarium;		    // the fish's aquarium (or view)

	BOOL	direction;	// Possibly an object dedicated to this??

	int fxType;
	int dissolveFactor;

}

- init:sender;
- move;
- erase;
- viewDidResize;
@end
