#import <objc/Object.h>
#import <appkit/graphics.h>

#define LEFT	0x01
#define RIGHT	0x02
#define UP	0x04
#define DOWN	0x08

@interface FishBrain:Object
{
	id	body;
	float	WIDTH;
	float	HEIGHT;
	float	xpos;
	float	xspeed;
	float	ypos;
	float	yspeed;
	float	angle;
	int	direction;
	NXSize	sizeOfAquar;
	NXSize	sizeOfBody;
	BOOL flipped;
	int max_X_Speed;
	int max_Y_Speed;


}

-init:(NXSize *)drawingSize fishSize:(NXSize *)mysize owner:mybody;
-(float)getXSpeed;
-(float)getYSpeed;
-(float)getXPos;
-(float)getYPos;
-(NXPoint)getCurrentPoint;
-(float)getAngle;
-(int)getDirection;
-viewDidResize:(NXSize *)newSize;
- changeXDirection;
- changeYDirection;
@end
