#import "BackView.h"
#define NUMPOINTS 10000
#define PI 3.1415926
#define R 28.0
#define S 10.0 
#define B 2.666666666
#define delta_T (0.01 * (25.0 / R ) )
#define Xmin -25.0
#define Ymin -30.0
#define Yrange 60.0
#define Xrange 50.0 
#define CHASERS 10
#define RED 0
#define GREEN 1
#define BLUE 2

//@interface LorenzView:BackView
@interface LorenzView:View
{
  int p,n;
  int points[CHASERS];
  
#ifdef ROTATE
  double X[NUMPOINTS],Y[NUMPOINTS],Z[NUMPOINTS];
#else
  double X,Y,Z;
#endif 
  float urx,ury, midx, midy,cos_arg;
  float xc[NUMPOINTS],yc[NUMPOINTS]; 
  double xdot,ydot,zdot; 
  int up,i,red_shift,blue_shift;
  float cl_clut[CHASERS],twobit_clut[CHASERS]; 
  float *clut; 
}

- oneStep;
- newSize;
@end

