//
// Spheres
//
// Module for BackSpace.app
// 12 Dec 91
// Revised for NS3.0 20 Oct 1992
// Matt Pharr- pharr@cs.yale.edu
//

#import <appkit/appkit.h>
#import "Thinker.h"

@interface SpheresView:View
{
    int nSpheres;               /* number of spheres to draw before we clear
                                   the screen */
    int nDrawn;                 /* the number currently drawn since last clear */
    BOOL showFills;             /* should be drawing be done on screen? */
    id myImage;                 /* NXImage that we draw in */
    id theSlider;		/* The slider to set the number to draw, on
                                   the inspector panel */
    id checkBox;                /* the check box where the user decides whether
                                   or not to see the filling in on screen... */
    id sharedInspectorPanel;	/* The inspector panel */
}


-initFrame:(const NXRect *)frameRect;
-drawSelf:(const NXRect *)rects :(int)rectCount;
-inspector:sender;
-setNumber:sender;
-setShowFills:sender;

@end
